import { Course, Identifiable } from "@/data";
import { Transformer } from "@/serialization";

export interface CourseDTO extends Identifiable {
    name: string;
}

export const courseDtoTransformer: Transformer<CourseDTO, Course> = {
    reverseTransform(subject: Course, context: undefined): CourseDTO {
        return {
            id: subject.id,
            name: subject.name,
        };
    },
    transform(subject: CourseDTO, context: undefined): Course {
        return {
            id: subject.id,
            name: subject.name,
            desiredSemesters: [],
        };
    }
}
