import { Transformer } from "@/serialization";
import { Mentor } from "@/data";

export interface MentorDTO {
    firstName: string;
    lastName: string;
    email: string;
    phoneNumber: string;
}

export const mentorDtoTransformer: Transformer<MentorDTO, Mentor> = {
    reverseTransform(subject: Mentor, context?: unknown): MentorDTO {
        return {
            firstName: subject.name,
            lastName: subject.surname,
            email: subject.email,
            phoneNumber: subject.phone || "",
        }
    },
    transform(subject: MentorDTO, context?: unknown): Mentor {
        return {
            name: subject.firstName,
            surname: subject.lastName,
            email: subject.email,
            phone: subject.phoneNumber,
        }
    }
}
