import React from "react";
import { createStyles, makeStyles } from "@material-ui/core/styles";
import { CircularProgress, Typography } from "@material-ui/core";

const useStyles = makeStyles(theme => createStyles({
    root: {
        display: "flex",
        flexDirection: "column",
        alignItems: "center",
        "& > :not(:last-child)": {
            marginBottom: theme.spacing(2),
        }
    }
}))

export type LoadingProps = {
    size?: string | number;
    label?: string;
};

export function Loading({ size, label, ...props }: LoadingProps) {
    const classes = useStyles();

    return <div className={ classes.root } { ...props }>
        <CircularProgress size={ size }/>
        { label && <Typography variant="subtitle1" color="primary">{ label }</Typography> }
    </div>
}
