import { Moment } from "moment-timezone";
import { Course } from "@/data/course";
import { Identifiable } from "@/data/common";

export type Edition = {
    course: Course;
    startDate: Moment;
    endDate: Moment;
    proposalDeadline: Moment;
    reportingStart: Moment,
    reportingEnd: Moment,
    minimumInternshipHours: number;
    maximumInternshipHours?: number;
} & Identifiable

export type Deadlines = {
    personalData?: Moment;
    proposal?: Moment;
    personalPlan?: Moment;
    report?: Moment;
    insurance?: Moment;
}

export function getEditionDeadlines(edition: Edition): Deadlines {
    return {
        proposal: edition.proposalDeadline,
        personalPlan: edition.proposalDeadline,
    }
}
