import { DependencyList, EffectCallback, useCallback, useEffect } from "react";

export function useDebouncedEffect(effect: EffectCallback, deps: DependencyList, time: number = 150) {
    const callback = useCallback(effect, deps);

    useEffect(() => {
        const timeout = window.setTimeout(() => callback(), time);
        return () => window.clearTimeout(timeout);
    }, [ callback, time ])
}
