import { Route } from "@/routing";
import { isManagerMiddleware } from "@/management/middleware";
import { ManagementEditionsList } from "@/management/edition/list";
import React from "react";

export const managementRoutes: Route[] = ([
    { name: "editions_index", path: "/editions", content: ManagementEditionsList }
] as Route[]).map(
    ({ name, path, middlewares = [], ...route }): Route => ({
        name: `management:${ name }`,
        path: `/management${ path }`,
        middlewares: [ isManagerMiddleware, ...middlewares ],
        ...route
    })
);
