import { Course, InternshipProgramEntry, Student } from "@/data"
import { makeIdSequence } from "./helpers";

const programEntryIdSequence = makeIdSequence();
const courseIdSequence = makeIdSequence();
const studentIdSequence = makeIdSequence();

export const sampleProgramEntries: InternshipProgramEntry[] = programEntryIdSequence.assignIds([
    { description: "Instalacja, konfiguracja i administracja niewielkich sieci komputerowych, w tym bezprzewodowych." },
    { description: "Implementacja polityki bezpieczeństwa informacji w firmie lub instytucji, instalacja ochrony antywirusowej, konfiguracja zapór ogniowych." },
    { description: "Instalacja, konfiguracja i administracja oprogramowania, w szczególnościsystemów operacyjnychiserwerów aplikacji." },
    { description: "Projektowanie, implementacja i modyfikacjeoprogramowaniaw różnych technologiach i dla różnych zastosowań." },
    { description: "Testowanie oprogramowania, także z wykorzystaniem narzędzi do testowania automatycznego." },
    { description: "Wykorzystanie otwartych komponentów programowych z uwzględnieniem prawnych zależności pomiędzy nimi a produktem wynikowym." },
    { description: "Projektowanie i implementacja baz danych oraz badanie ich wydajności." },
    { description: "Posługiwanie się zaawansowanymi metodami i technologiami przetwarzania, składowania, transformacji i analizy danych(Big Data, Business Intelligence, hurtownie danych)" },
    { description: "Projektowanie i prototypowaniezaawansowanychinterfejsów użytkownika. " },
    { description: "Posługiwanie się zaawansowanymi narzędziami informatycznymi do przetwarzania plików dźwiękowych, obrazów i wideo." },
    { description: "Konfiguracjaurządzeń zewnętrznych komputera, rozbudowa i modyfikacja jego struktury modułówi urządzeń wewnętrznych." },
    { description: "Przygotowywanie i testowanie oprogramowania prostych mikrokontrolerów i systemów wbudowanych." },
    { description: "Przygotowywanie i analiza dokumentacjitechnicznej przedsięwzięć informatycznych,wykorzystanie modeli i narzędzi zarządzania dla e-biznesu." },
]);

export const sampleCourse: Course = {
    id: courseIdSequence(),
    name: "Informatyka",
    desiredSemesters: [6],
}

export const sampleStudent: Student = {
    id: studentIdSequence(),
    name: "Jan",
    surname: "Kowalski",
    albumNumber: 123456,
    email: "s123456@student.pg.edu.pl",
    course: sampleCourse,
    semester: 6,
}
