import { SerializationTransformer } from "@/serialization/types";
import moment, { Moment } from "moment-timezone";

export const momentSerializationTransformer: SerializationTransformer<Moment | null, string> = {
    transform: (subject: Moment) => subject && subject.clone().utc(false).add(subject.utcOffset(), 'minutes').toISOString(),
    reverseTransform: (subject: string) => subject ? moment(subject) : null,
}
