import { createStyles, makeStyles } from "@material-ui/core/styles";

const defaultSpacing: number = 3;

export const useVerticalSpacing = makeStyles(theme => createStyles({
    root: {
        "& > *:not(:last-child)": {
            marginBottom: (spacing: number = defaultSpacing) => theme.spacing(spacing)
        }
    }
}))

export const useHorizontalSpacing = makeStyles(theme => createStyles({
    root: {
        "& > *:not(:last-child)": {
            marginRight: (spacing: number = defaultSpacing) => theme.spacing(spacing)
        }
    }
}))

export const useSpacing = makeStyles(theme => createStyles({
    horizontal: {
        "& > *:not(:last-child)": {
            marginRight: (spacing: number = defaultSpacing) => theme.spacing(spacing)
        }
    },
    vertical: {
        "& > *:not(:last-child)": {
            marginBottom: (spacing: number = defaultSpacing) => theme.spacing(spacing)
        }
    }
}))
